<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorator="layouts/main">
<head>
    <title th:text="#{contact.title}"></title>
    <link rel="stylesheet" th:href="@{/css/blurry.css}"/>
</head>
<body class="blurry-background">

<div layout:fragment="container" class="row" id="contact">
    <div class="col-md-4 col-md-offset-4">
        <h1 th:text="#{contact.header}"></h1>

        <th:block th:if="${status == 'error'}"
                  th:include="fragments/base::dialog('error', 'contact.error', null)"/>
        <th:block th:if="${status == 'success'}"
                  th:include="fragments/base::dialog('success', 'contact.sent', null)"/>

        <form action="/contact" method="post">
            <input th:if="${user != null}" id="email" type="hidden" name="email" th:value="${user.profile.email}"/>

            <div th:if="${user == null}">
                <label for="email" th:text="#{contact.email}"></label>
                <input id="email" type="email" name="email" th:value="${email}"/>
            </div>

            <div>
                <label for="body" th:text="#{contact.body}"></label>
                <textarea id="body" name="body" th:text="${body}"></textarea>
            </div>
            <button type="submit" class="button" th:text="#{contact.send}"></button>
        </form>
    </div>
</div>

<th:block layout:fragment="js">
    <script th:src="@{/js/jquery-3.2.1.min.js}"></script>
    <script th:src="@{/js/application.js}"></script>
</th:block>

<th:block th:if="${loggedInUserId != null}" layout:fragment="footer" th:include="fragments/base::score"/>

</body>
</html>